Last Comment Bug 763780 - remove unnecessary application flags from webapp runtime's components.manifest
: remove unnecessary application flags from webapp runtime's components.manifest
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: 14 Branch
: All All
: P3 normal
: Firefox 16
Assigned To: Myk Melez [:myk] [@mykmelez]
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 17:26 PDT by Myk Melez [:myk] [@mykmelez]
Modified: 2016-03-21 12:39 PDT (History)
3 users (show)
jsmith: in‑moztrap-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1: removes application flags (2.16 KB, patch)
2012-06-11 17:26 PDT, Myk Melez [:myk] [@mykmelez]
benjamin: review+
myk: checkin+
Details | Diff | Splinter Review

Description Myk Melez [:myk] [@mykmelez] 2012-06-11 17:26:20 PDT
Created attachment 632078 [details] [diff] [review]
patch v1: removes application flags

The webapp runtime's components.manifest file restricts its instructions to the runtime via `application` flags.  But those are no longer necessary now that the webapp runtime files have been isolated into their own directory per bug 746156.  And the instructions registering most recent component added to the runtime (ContentPermission.js) do not have such flags.  None of them should.
Comment 1 Myk Melez [:myk] [@mykmelez] 2012-06-11 17:27:26 PDT
Note that this patch will conflict trivially with the fix for bug 752666, currently on inbound.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-11 17:36:11 PDT
(In reply to Myk Melez [:myk] [@mykmelez] from comment #0)
> the webapp runtime files have been isolated into their own directory
> per bug 746156.

Will that allow us to get rid of the equivalent lines in the Firefox/Sync manifests as well? (I never quite understood why those included b2g/mobile, since none of that code gets used in either of those.)
Comment 3 Myk Melez [:myk] [@mykmelez] 2012-06-11 18:56:01 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #2)
> (In reply to Myk Melez [:myk] [@mykmelez] from comment #0)
> > the webapp runtime files have been isolated into their own directory
> > per bug 746156.
> 
> Will that allow us to get rid of the equivalent lines in the Firefox/Sync
> manifests as well?

Sadly, no, those lines remain necessary to prevent the runtime from loading Firefox/Sync components.  To make those lines unnecessary, we would have to separate Firefox from the GRE.


> (I never quite understood why those included b2g/mobile,
> since none of that code gets used in either of those.)

Sounds like a mistake that should be fixed.
Comment 4 Myk Melez [:myk] [@mykmelez] 2012-06-14 13:29:11 PDT
Comment on attachment 632078 [details] [diff] [review]
patch v1: removes application flags

https://hg.mozilla.org/integration/mozilla-inbound/rev/55f8b9b957c3
Comment 5 Ed Morley [:emorley] 2012-06-15 05:58:18 PDT
https://hg.mozilla.org/mozilla-central/rev/55f8b9b957c3
Comment 6 Jason Smith [:jsmith] 2012-06-15 07:01:58 PDT
Myk - Trying to understand if it's worth verifying this bug. How is an end-user affected by this implementation? Where would they see something different? Or is this just an internal code change?
Comment 7 Myk Melez [:myk] [@mykmelez] 2012-06-15 14:32:56 PDT
This is just an internal code change.

Note You need to log in before you can comment on or make changes to this bug.